# coding: utf-8
from __future__ import absolute_import, unicode_literals

import os

from concentrator.smev3 import kinder_conc
from concentrator.smev3.base.constants import CODE_ERROR, CODE_ERROR_COMMENT
from concentrator.smev3.base.tests.base import Smev3TC
from concentrator.smev3.base.tests.utils import examples
from concentrator.smev3.getapplication.helpers import (get_application_response,
                                                       get_params)

# из ./examples/1.xml
ORDER_ID  = 12345678

class GetApplicationTC(Smev3TC):

    @classmethod
    def setUpTestData(cls):
        super(GetApplicationTC, cls).setUpTestData()

        cls.application = kinder_conc.parseString(
            next(examples(os.path.dirname(__file__))),
            silence=True).ApplicationRequest

    def test_get_params(self):
        declaration, order_id = get_params(
            next(
                examples(os.path.dirname(__file__))
            )
        )
        self.assertEqual(declaration, None)
        self.assertEqual(order_id, ORDER_ID)


    def test_get_application_response(self):
        declaration, order_id = get_params(
            next(
                examples(os.path.dirname(__file__))
            )
        )
        response = get_application_response(declaration, order_id)
        self.assertEqual(response.changeOrderInfo.orderId.pguId, ORDER_ID)
        self.assertEqual(response.changeOrderInfo.statusCode.techCode,
                         CODE_ERROR)
        self.assertEqual(response.changeOrderInfo.comment,
                         CODE_ERROR_COMMENT)
